com.genesyslab.wfm8.API.service.calendar851

## Class CalLimitData

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar851.CalLimitData

- All Implemented Interfaces:
    java.io.Serializable

      public class CalLimitData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `actualAgentArraySize` Actual Agent array size
    `protected double` | `actualAgents` Number of Actual agents with Time Off on date
    `protected java.util.List<java.lang.Double>` | `actualAgentsArray` Array of actual agent with Time Off for each timestep for date
    `protected double` | `date` Date
    `protected int` | `maxAgentArraySize` Maximum Agent limit array size
    `protected double` | `maxAgents` Maximum agent limit for date
    `protected java.util.List<java.lang.Double>` | `maxAgentsArray` Array of maximum agent limit for each timestep for date
    `protected double` | `maxPercentage` Maximum agent percentage limit for date
    `protected java.util.List<java.lang.Double>` | `maxPercentageArray` Array of maximum agent percentage limit for each timestep for date
    `protected int` | `maxPercentageArraySize` Percentage limit array size
    `private static long` | `serialVersionUID`
    `protected double` | `totalAgents` Total number of agents

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalLimitData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getActualAgentArraySize()` Gets the actualAgentArraySize value for this CalLimitData.
    `double` | `getActualAgents()` Gets the actualAgents value for this CalLimitData.
    `java.util.List<java.lang.Double>` | `getActualAgentsArray()` Gets the actualAgentsArray value for this CalLimitData.
    `double` | `getDate()` Gets the date value for this CalLimitData.
    `int` | `getMaxAgentArraySize()` Gets the maxAgentArraySize value for this CalLimitData.
    `double` | `getMaxAgents()` Gets the maxAgents value for this CalLimitData.
    `java.util.List<java.lang.Double>` | `getMaxAgentsArray()` Gets the maxAgentsArray value for this CalLimitData.
    `double` | `getMaxPercentage()` Gets the maxPercentage value for this CalLimitData.
    `java.util.List<java.lang.Double>` | `getMaxPercentageArray()` Gets the maxPercentageArray value for this CalLimitData.
    `int` | `getMaxPercentageArraySize()` Gets the maxPercentageArraySize value for this CalLimitData.
    `double` | `getTotalAgents()` Gets the totalAgents value for this CalLimitData.
    `int` | `hashCode()`
    `void` | `setActualAgentArraySize(int actualAgentArraySize)` Sets the actualAgentArraySize value for this CalLimitData.
    `void` | `setActualAgents(double actualAgents)` Sets the actualAgents value for this CalLimitData.
    `void` | `setActualAgentsArray(java.util.List<java.lang.Double> actualAgentsArray)` Sets the actualAgentsArray value for this CalLimitData.
    `void` | `setDate(double date)` Sets the date value for this CalLimitData.
    `void` | `setMaxAgentArraySize(int maxAgentArraySize)` Sets the maxAgentArraySize value for this CalLimitData.
    `void` | `setMaxAgents(double maxAgents)` Sets the maxAgents value for this CalLimitData.
    `void` | `setMaxAgentsArray(java.util.List<java.lang.Double> maxAgentsArray)` Sets the maxAgentsArray value for this CalLimitData.
    `void` | `setMaxPercentage(double maxPercentage)` Sets the maxPercentage value for this CalLimitData.
    `void` | `setMaxPercentageArray(java.util.List<java.lang.Double> maxPercentageArray)` Sets the maxPercentageArray value for this CalLimitData.
    `void` | `setMaxPercentageArraySize(int maxPercentageArraySize)` Sets the maxPercentageArraySize value for this CalLimitData.
    `void` | `setTotalAgents(double totalAgents)` Sets the totalAgents value for this CalLimitData.
    `java.lang.String` | `toString()`
    `CalLimitData` | `withActualAgentArraySize(int value)`
    `CalLimitData` | `withActualAgents(double value)`
    `CalLimitData` | `withActualAgentsArray(java.util.Collection<java.lang.Double> values)`
    `CalLimitData` | `withActualAgentsArray(java.lang.Double... values)`
    `CalLimitData` | `withDate(double value)`
    `CalLimitData` | `withMaxAgentArraySize(int value)`
    `CalLimitData` | `withMaxAgents(double value)`
    `CalLimitData` | `withMaxAgentsArray(java.util.Collection<java.lang.Double> values)`
    `CalLimitData` | `withMaxAgentsArray(java.lang.Double... values)`
    `CalLimitData` | `withMaxPercentage(double value)`
    `CalLimitData` | `withMaxPercentageArray(java.util.Collection<java.lang.Double> values)`
    `CalLimitData` | `withMaxPercentageArray(java.lang.Double... values)`
    `CalLimitData` | `withMaxPercentageArraySize(int value)`
    `CalLimitData` | `withTotalAgents(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### date

          protected double date

      Date

    - #### maxAgents

          protected double maxAgents

      Maximum agent limit for date

    - #### maxPercentage

          protected double maxPercentage

      Maximum agent percentage limit for date

    - #### actualAgents

          protected double actualAgents

      Number of Actual agents with Time Off on date

    - #### totalAgents

          protected double totalAgents

      Total number of agents

    - #### maxPercentageArraySize

          protected int maxPercentageArraySize

      Percentage limit array size

    - #### maxPercentageArray

          protected java.util.List<java.lang.Double> maxPercentageArray

      Array of maximum agent percentage limit for each timestep for date

    - #### maxAgentArraySize

          protected int maxAgentArraySize

      Maximum Agent limit array size

    - #### maxAgentsArray

          protected java.util.List<java.lang.Double> maxAgentsArray

      Array of maximum agent limit for each timestep for date

    - #### actualAgentArraySize

          protected int actualAgentArraySize

      Actual Agent array size

    - #### actualAgentsArray

          protected java.util.List<java.lang.Double> actualAgentsArray

      Array of actual agent with Time Off for each timestep for date

  - ### Constructor Detail

    - #### CalLimitData

          public CalLimitData()

  - ### Method Detail

    - #### getDate

          public double getDate()

      Gets the date value for this CalLimitData.
      Returns:
        date

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalLimitData.
      Parameters:
        `date` -

    - #### getMaxAgents

          public double getMaxAgents()

      Gets the maxAgents value for this CalLimitData.
      Returns:
        maxAgents

    - #### setMaxAgents

          public void setMaxAgents(double maxAgents)

      Sets the maxAgents value for this CalLimitData.
      Parameters:
        `maxAgents` -

    - #### getMaxPercentage

          public double getMaxPercentage()

      Gets the maxPercentage value for this CalLimitData.
      Returns:
        maxPercentage

    - #### setMaxPercentage

          public void setMaxPercentage(double maxPercentage)

      Sets the maxPercentage value for this CalLimitData.
      Parameters:
        `maxPercentage` -

    - #### getActualAgents

          public double getActualAgents()

      Gets the actualAgents value for this CalLimitData.
      Returns:
        actualAgents

    - #### setActualAgents

          public void setActualAgents(double actualAgents)

      Sets the actualAgents value for this CalLimitData.
      Parameters:
        `actualAgents` -

    - #### getTotalAgents

          public double getTotalAgents()

      Gets the totalAgents value for this CalLimitData.
      Returns:
        totalAgents

    - #### setTotalAgents

          public void setTotalAgents(double totalAgents)

      Sets the totalAgents value for this CalLimitData.
      Parameters:
        `totalAgents` -

    - #### getMaxPercentageArraySize

          public int getMaxPercentageArraySize()

      Gets the maxPercentageArraySize value for this CalLimitData.
      Returns:
        maxPercentageArraySize

    - #### setMaxPercentageArraySize

          public void setMaxPercentageArraySize(int maxPercentageArraySize)

      Sets the maxPercentageArraySize value for this CalLimitData.
      Parameters:
        `maxPercentageArraySize` -

    - #### getMaxPercentageArray

          public java.util.List<java.lang.Double> getMaxPercentageArray()

      Gets the maxPercentageArray value for this CalLimitData.
      Returns:
        maxPercentageArray

    - #### setMaxPercentageArray

          public void setMaxPercentageArray(java.util.List<java.lang.Double> maxPercentageArray)

      Sets the maxPercentageArray value for this CalLimitData.
      Parameters:
        `maxPercentageArray` -

    - #### getMaxAgentArraySize

          public int getMaxAgentArraySize()

      Gets the maxAgentArraySize value for this CalLimitData.
      Returns:
        maxAgentArraySize

    - #### setMaxAgentArraySize

          public void setMaxAgentArraySize(int maxAgentArraySize)

      Sets the maxAgentArraySize value for this CalLimitData.
      Parameters:
        `maxAgentArraySize` -

    - #### getMaxAgentsArray

          public java.util.List<java.lang.Double> getMaxAgentsArray()

      Gets the maxAgentsArray value for this CalLimitData.
      Returns:
        maxAgentsArray

    - #### setMaxAgentsArray

          public void setMaxAgentsArray(java.util.List<java.lang.Double> maxAgentsArray)

      Sets the maxAgentsArray value for this CalLimitData.
      Parameters:
        `maxAgentsArray` -

    - #### getActualAgentArraySize

          public int getActualAgentArraySize()

      Gets the actualAgentArraySize value for this CalLimitData.
      Returns:
        actualAgentArraySize

    - #### setActualAgentArraySize

          public void setActualAgentArraySize(int actualAgentArraySize)

      Sets the actualAgentArraySize value for this CalLimitData.
      Parameters:
        `actualAgentArraySize` -

    - #### getActualAgentsArray

          public java.util.List<java.lang.Double> getActualAgentsArray()

      Gets the actualAgentsArray value for this CalLimitData.
      Returns:
        actualAgentsArray

    - #### setActualAgentsArray

          public void setActualAgentsArray(java.util.List<java.lang.Double> actualAgentsArray)

      Sets the actualAgentsArray value for this CalLimitData.
      Parameters:
        `actualAgentsArray` -

    - #### withActualAgentsArray

          public CalLimitData withActualAgentsArray(java.util.Collection<java.lang.Double> values)

    - #### withActualAgentsArray

          public CalLimitData withActualAgentsArray(java.lang.Double... values)

    - #### withActualAgentArraySize

          public CalLimitData withActualAgentArraySize(int value)

    - #### withActualAgents

          public CalLimitData withActualAgents(double value)

    - #### withMaxAgentsArray

          public CalLimitData withMaxAgentsArray(java.util.Collection<java.lang.Double> values)

    - #### withMaxAgentsArray

          public CalLimitData withMaxAgentsArray(java.lang.Double... values)

    - #### withMaxAgentArraySize

          public CalLimitData withMaxAgentArraySize(int value)

    - #### withMaxAgents

          public CalLimitData withMaxAgents(double value)

    - #### withMaxPercentageArray

          public CalLimitData withMaxPercentageArray(java.util.Collection<java.lang.Double> values)

    - #### withMaxPercentageArray

          public CalLimitData withMaxPercentageArray(java.lang.Double... values)

    - #### withMaxPercentageArraySize

          public CalLimitData withMaxPercentageArraySize(int value)

    - #### withMaxPercentage

          public CalLimitData withMaxPercentage(double value)

    - #### withDate

          public CalLimitData withDate(double value)

    - #### withTotalAgents

          public CalLimitData withTotalAgents(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.